Get modular source work item
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"storefrontId": "<string>",
"inventorySourceId": "<string>",
"moduleId": "<string>",
"title": "<string>",
"description": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"mediaBuyId": "<string>",
"buyerCustomerId": 0,
"assignedTo": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"payload": {},
"result": {},
"blockedReason": "<string>",
"createdByType": "<string>",
"createdById": "<string>",
"completedBy": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"id": "<string>",
"workItemId": "<string>",
"eventType": "<string>",
"actorType": "<string>",
"actorId": "<string>",
"notes": "<string>",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get modular source work item
Fetch a source-side modular inventory work item and its event history.
GET
/
inventory-sources
/
{sourceId}
/
modular
/
work-items
/
{workItemId}
Get modular source work item
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/work-items/{workItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"storefrontId": "<string>",
"inventorySourceId": "<string>",
"moduleId": "<string>",
"title": "<string>",
"description": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"mediaBuyId": "<string>",
"buyerCustomerId": 0,
"assignedTo": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"payload": {},
"result": {},
"blockedReason": "<string>",
"createdByType": "<string>",
"createdById": "<string>",
"completedBy": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"id": "<string>",
"workItemId": "<string>",
"eventType": "<string>",
"actorType": "<string>",
"actorId": "<string>",
"notes": "<string>",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Inventory source work item id
Minimum string length:
1⌘I